martes, 15 de enero de 2008



Probablemente a mas de uno le ha mostrado algun error el instalador del Visual Studio .NET 2008 en el sistema operativo Windows Vista, ahora mostrare como resolvi el problema que ocurrio a mi y es que al ver como se crasheaba el instalador sin razon alguna si llega un momento de nostalgia, incluso pense en no utilizar Vista y regresar a XP.

En la imagen se puede apreciar como se detubo el instalador justo en el momento en que tenia que instalar el .NET Framework 3.5, a continuacion pongo los pasos para resolver el problema.

  1. Necesitamos el disco de instalacion del VS .NET 2008.
  2. En la ubicacion del disco \WCU\dotNetFramework\dotNetMSP\x86 buscar los siguientes archivos.

    -NetFX2.0-KB110806-v6000-x86
    -NetFX3.0-KB929300-v6000-x86

  3. Instalar los hotfix que son las actualizaciones de seguridad para los Frameworks 2 y 3, y estos son los prerequesitos para la instalacion del Framework 3.5.
  4. Reiniciar el sistema.
  5. Y comenzar la instalacion nuevamente :)

Probablemente el archivo KB110806 les muestre algun error de encriptacion de datos, esto se resuelve con otra actualizacion, aunque a mi me mostro un error ciclico del disco para lo cual tube que instalar el hotfix KB929916, y asi instale Visual Studio 2008.

Un saludo y suerte.

3 comentarios :

  1. Anónimo dijo...

    A mi me da el mismo error al intentar instalarlo, pero no cuento con el disco de instalacion, sabes donde puedo conseguir esos archivos, ya que intente buscarlos pero no los encuentro.

    Gracias.

  2. Netero dijo...

    Los archivos estan disponibles a traves de windows update en tu panel de control, o bien puedes pedirlos al servicio de soporte de Microsoft en su correo, especificandole el problema (eshotfx@microsoft.com )

    espero te haya ayudado.

  3. Anónimo dijo...

    Para mi desgracia el archivo NetFX3.0-KB929300-v6000-x86 no permite la instalacion, solo muerar la palabra error pero ningun numero.

    Ya intente con los 2 otros archivos (KB929916 y 933595) y muetra que el sistema no los necesita =(